import type { DomainConfig, ExtensionData } from './types';

export const API_URL = 'https://api.cookie-dialog-monster.com/rest/v6';

export const CHROME_STORE_URL =
  'https://chrome.google.com/webstore/detail/djcbfpkdhdkaflcigibkbpboflaplabg';

export const DEFAULT_DOMAIN_CONFIG: DomainConfig = {
  issue: undefined,
  on: true,
};

export const DEFAULT_EXTENSION_DATA: ExtensionData = {
  actions: [],
  exclusions: {
    domains: [],
    overflows: [],
    tags: [],
  },
  keywords: [],
  rules: [],
  tokens: {
    backdrops: [],
    classes: [],
    containers: [],
    selectors: [],
  },
  version: '?.?.?',
};

export const EDGE_STORE_URL =
  'https://microsoftedge.microsoft.com/addons/detail/hbogodfciblakeneadpcolhmfckmjcii';

export const EXTENSION_MENU_ITEM_ID = 'CDM-MENU';

export const FIREFOX_STORE_URL = 'https://addons.mozilla.org/firefox/addon/cookie-dialog-monster';

export const REPORT_MENU_ITEM_ID = 'CDM-REPORT';

export const SETTINGS_MENU_ITEM_ID = 'CDM-SETTINGS';
